Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Interface ListableRealm

All Superinterfaces:
  BasicRealm

All Known Subinterfaces:
  ManageableRealm

All Known Implementing Classes:
  AbstractListableRealm, AbstractManageableRealm, CachingRealm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by Pluggable Security Infrastructure.

public interface ListableRealm
extends BasicRealm

A ListableRealm extends BasicRealm and adds the ability to list its instances.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Enumeration` | `getAcls()` Deprecated. Gets an Enumeration of the Acls in a ListableRealm.
`Enumeration` | `getGroups()` Deprecated. Gets an Enumeration of the Groups in a ListableRealm.
`Enumeration` | `getPermissions()` Deprecated. Gets an Enumeration of the Permissions in a ListableRealm.
`Enumeration` | `getUsers()` Deprecated. Gets an Enumeration of the in a ListableRealm.

Methods inherited from interface weblogic.security.acl.BasicRealm
`getAcl, getAcl, getAclOwner, getGroup, getName, getPermission, getUser, getUser, init, load, save`

Method Detail

### getAcls

    public Enumeration getAcls()

  Deprecated.
  Gets an Enumeration of the Acls in a ListableRealm. The enumerated objects are of instance Acl.

  Returns:
    Enumeration of Acl objects

### getGroups

    public Enumeration getGroups()

  Deprecated.
  Gets an Enumeration of the Groups in a ListableRealm. The enumerated objects are of instance Group.

  Returns:
    Enumeration of Group objects

### getPermissions

    public Enumeration getPermissions()

  Deprecated.
  Gets an Enumeration of the Permissions in a ListableRealm. The enumerated objects are of instance Permission.

  Returns:
    Enumeration of Permission objects

### getUsers

    public Enumeration getUsers()

  Deprecated.
  Gets an Enumeration of the in a ListableRealm. The enumerated objects are of instance User.

  Returns:
    Enumeration of User objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD